Bug 1259826 - [UI] html tag leaks to UI
[UI] html tag leaks to UI
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: vszocs
Petr Matyáš
ux
:
: 1263060 1269412 1293270 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 11:00 EDT by Jiri Belka
Modified: 2016-02-10 14:22 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 10:42:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
rule-engine: devel_ack+
pnovotny: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48438 master MERGED webadmin,userportal: Fix escaped HTML in table headers Never
oVirt gerrit 49184 ovirt-engine-3.6 MERGED webadmin,userportal: Fix escaped HTML in table headers Never

  None (edit)
Description Jiri Belka 2015-09-03 11:00:43 EDT
Description of problem:

there's in Network Interfaces subtab:

Speed <sub>(Mbps)</sub>

Version-Release number of selected component (if applicable):
3.6.0-10

How reproducible:
100%

Steps to Reproduce:
1. VM -> Network Interfaces subtab -> check columns
2.
3.

Actual results:
Speed <sub>(Mbps)</sub>

Expected results:
without html tag

Additional info:
Comment 1 Einav Cohen 2015-10-27 10:15:04 EDT
Vojtech is already working on a different patch that fixes this issue as well -> re-assigning to Vojtech.
Comment 2 vszocs 2015-10-27 10:49:16 EDT
(In reply to Jiri Belka from comment #0)
> Steps to Reproduce:
> 1. VM -> Network Interfaces subtab -> check columns

This issue occurs on other places too, e.g. Host / NIC sub tab in WebAdmin.

(In reply to Einav Cohen from comment #1)
> Vojtech is already working on a different patch that fixes this issue as
> well -> re-assigning to Vojtech.

https://gerrit.ovirt.org/#/c/43401/
Comment 4 Einav Cohen 2015-11-12 13:03:27 EST
*** Bug 1263060 has been marked as a duplicate of this bug. ***
Comment 5 Einav Cohen 2015-11-12 13:05:20 EST
QA: Please note: issue exists (and fixed) in both web-admin and user-portal. please verify accordingly. thanks.
Comment 6 Red Hat Bugzilla Rules Engine 2015-12-01 19:14:29 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 7 Sandro Bonazzola 2015-12-23 08:40:46 EST
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA
Comment 8 Einav Cohen 2016-01-12 08:48:12 EST
*** Bug 1269412 has been marked as a duplicate of this bug. ***
Comment 9 Einav Cohen 2016-01-12 09:39:08 EST
*** Bug 1293270 has been marked as a duplicate of this bug. ***
Comment 10 Pavel Stehlik 2016-01-13 10:42:13 EST
Closing old bugs. In case still happens, pls reopen.

Note You need to log in before you can comment on or make changes to this bug.